MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002707ATutor- no cat -public2006-08-10 09:432006-08-31 11:51
Reporteruser2 
Assigned Touser2 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3.3 
Summary0002707: assignment cut off
Descriptionentering a cut off date doesn't save if the due date is not set.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002164)
user2
2006-08-30 07:31

eek there is a better way of doing this:
if (($has_due_date == 'true') && ($late_submit == '2')){
    if ($cutoffyear < $dueyear){
        $msg->addError('CUTOFF_DATE_WRONG');
    } else if ($cutoffyear == $dueyear){
        if ($cutoffmonth < $duemonth){
            $msg->addError('CUTOFF_DATE_WRONG');
        } else if ($cutoffmonth == $duemonth){
            if ($cutoffday < $dueday){
                $msg->addError('CUTOFF_DATE_WRONG');
            } else if ($cutoffday == $dueday){
                if ($cutoffhour < $duehour){
                    $msg->addError('CUTOFF_DATE_WRONG');
                } else if ($cutoffhour == $duehour) {
                    if ($cutoffminute < $dueminute){
                        $msg->addError('CUTOFF_DATE_WRONG');
                    }
                }
            }
        }
    }
}

- Issue History
Date Modified Username Field Change
2006-08-10 09:43 user2 New Issue
2006-08-10 09:43 user2 Affects version => SVN
2006-08-30 07:31 user2 Note Added: 0002164
2006-08-30 08:53 user2 Status new => resolved
2006-08-30 08:53 user2 Fixed in Version => 1.5.4
2006-08-30 08:53 user2 Resolution open => fixed
2006-08-30 08:53 user2 Assigned To => user2
2006-08-31 11:51 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker